﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using Telerik.Windows.Examples.RichTextBox.SampleData;
using Telerik.Windows.Documents.UI.Extensibility;
using System.ComponentModel.Composition.Hosting;


namespace GridViewAndRRTB
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            RadCompositionInitializer.Catalog = new TypeCatalog();
            this.DataContext = new ExamplesDataContext().Employees;
        }

        private void ShowGridViewWindow_Click(object sender, RoutedEventArgs e)
        {
            GridViewWindow window = new GridViewWindow();
            window.DataContext = this.DataContext;
            DateTime start = DateTime.Now;
            window.Show();
            DateTime end = DateTime.Now;
            MessageBox.Show((end - start).TotalMilliseconds + " ms");
        }


    }
}
